---
- name: Certbot stuff
  include_role:
    name: vendor/coopdevs.certbot_nginx
  vars:
    domain_name: "{{ inventory_hostname }}"
    domains: ["{{ inventory_hostname }}"]
    letsencrypt_email: "{{ certificate_authority_email }}"
  when: not development_environment

- name: Check if already there is a snakeoil cert
  stat:
    path: "/etc/ssl/private/ssl-cert-snakeoil.key"
  register: _snakeoil_present

- name: Snakeoil generation
  import_tasks: snakeoil.yml
  when: development_environment and not _snakeoil_present.stat.exists

- name: Config Nginx
  include_role:
    name: vendor/jdauphant.nginx
  vars:
    nginx_configs:
      upstream:
        - upstream @wp { server unix:/var/run/php/php{{ php_default_version_debian }}-fpm.sock fail_timeout=0; }
        - upstream @pexporter { server localhost:9187 fail_timeout=0; }
        - upstream @nexporter { server localhost:9100 fail_timeout=0; }

    nginx_sites:
      wp:
        template: wp.conf.j2
        server_name: "{{ inventory_hostname }}"
      wp_http:
        template: wp_http.conf.j2
        server_name: "{{ inventory_hostname }}"
